%define anolis_release 1
%global pypi_name orjson
%global pypi_version 3.9.13

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy

License:        ASL and MIT
URL:            https://github.com/ijl/orjson
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(maturin)
BuildRequires:  rust-packaging

%description
orjson is a fast, correct JSON library for Python

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
orjson is a fast, correct JSON library for Python


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE-APACHE LICENSE-MIT
%doc README.md

%changelog
* Thu Apr 11 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 3.9.13-1
- Initial package.
